Summary:	GNU nano - Nano's ANOther editor, an enhanced free Pico clone
Summary(pl.UTF-8):	GNU nano - jeszcze jeden edytor: darmowy, rozbudowany klon Pico
Name:		nano
Version:	8.3
Release:	1%{?tld}
License:	GPL v3+
Group:		Applications/Editors
Source0:	https://www.nano-editor.org/dist/latest/%{name}-%{version}.tar.xz
# Source0-md5:	e64276780e23efb273480c4279050f74
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-info.patch
URL:		https://www.nano-editor.org/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake >= 1:1.14
BuildRequires:	gettext-tools >= 0.20
BuildRequires:	groff
BuildRequires:	libmagic-devel
BuildRequires:	ncurses-devel >= 5.0
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	texinfo
BuildRequires:	xz
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GNU nano (Nano's ANOther editor) is a small, free and friendly editor
which aims to replace Pico, the default editor included in the
non-free Pine package. Rather than just copying Pico's look and feel,
nano also implements some missing (or disabled by default) features in
Pico, such as "search and replace" and "go to line number".

%description -l pl.UTF-8
GNU nano (Nano's ANOther editor - Nano to kolejny edytor) to mały,
otwarty i przyjazny edytor, którego celem jest zastąpienie Pico,
standardowego edytora zawartego w niewolnym pakiecie Pine. Oprócz
wyglądu oraz interfejsu, nano posiada kilka brakujących (lub
wyłączonych standardowo) w Pico funkcji, takich jak: "znajdź i zastąp"
lub "idź do wiersza numer".

%prep
%setup -q
%patch -P0 -p1

%build
%{__gettextize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog IMPROVEMENTS NEWS README THANKS TODO doc/{faq.html,sample.nanorc}
%attr(755,root,root) %{_bindir}/nano
%attr(755,root,root) %{_bindir}/rnano
%{_datadir}/nano
%{_desktopdir}/nano.desktop
%{_pixmapsdir}/nano.png
%{_mandir}/man1/nano.1*
%{_mandir}/man1/rnano.1*
%{_mandir}/man5/nanorc.5*
%{_infodir}/nano.info*
%changelog
* Wed Feb 19 2025 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/nano.git;a=log;h=master

* Sun Dec 29 2024 Jakub Bogusz <qboosh@pld-linux.org> 2dcd4d1
- updated to 8.3

* Wed Sep 11 2024 Jakub Bogusz <qboosh@pld-linux.org> fbd9a0d
- updated to 8.2

* Sun Aug 25 2024 Jakub Bogusz <qboosh@pld-linux.org> aa8ecb0
- updated to 8.1

* Fri May 24 2024 Jakub Bogusz <qboosh@pld-linux.org> 6de2e7a
- updated to 8.0

* Fri Dec 16 2022 Jakub Bogusz <qboosh@pld-linux.org> 0fa4f4c
- updated to 7.1

* Mon Dec 12 2022 Jakub Bogusz <qboosh@pld-linux.org> 2cd8c76
- updated to 7.0

* Thu Jul 14 2022 Jakub Bogusz <qboosh@pld-linux.org> 463cd98
- updated to 6.3

* Fri Dec 17 2021 Adam Gołębiowski <adamg@pld-linux.org> bb16770
- updated to 6.0

* Sun Nov 28 2021 Jakub Bogusz <qboosh@pld-linux.org> dd3e440
- rediffed, release 2

* Sat Nov 27 2021 Jakub Bogusz <qboosh@pld-linux.org> 906d718
- updated to 5.9

* Fri Jun 18 2021 Jakub Bogusz <qboosh@pld-linux.org> e1e9c83
- release 2

* Fri Jun 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 5e5e4dd
- rediffed info patch

* Fri Jun 18 2021 Jakub Bogusz <qboosh@pld-linux.org> 61047b7
- updated to 5.8

* Fri Mar 05 2021 Jakub Bogusz <qboosh@pld-linux.org> 29e2e93
- patch rediff+cleanup, release 2

* Thu Mar 04 2021 Jakub Bogusz <qboosh@pld-linux.org> 9319bac
- updated to 5.6.1

* Sat Dec 05 2020 Jakub Bogusz <qboosh@pld-linux.org> 17574e3
- updated to 5.4

* Fri Oct 16 2020 Jakub Bogusz <qboosh@pld-linux.org> 439978b
- updated to 5.3

* Mon Aug 17 2020 Jakub Bogusz <qboosh@pld-linux.org> 8f53037
- updated to 5.1

* Wed Jul 29 2020 Jakub Bogusz <qboosh@pld-linux.org> b1969ce
- updated to 5.0
- removed outdated ncurses-ncurses.h patch

* Sat Jun 20 2020 Jakub Bogusz <qboosh@pld-linux.org> cc53fb9
- updated to 4.9.3

